#
# spec file for package python-peewee
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-peewee
Version:        2.6.3
Release:        1.1
Summary:        A small expressive orm supports postgresql, mysql and sqlite
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/coleifer/peewee
Source:         https://github.com/coleifer/peewee/archive/%{version}/peewee-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
A small, expressive orm -- supports postgresql, mysql and sqlite

%prep
%setup -q -n peewee-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root)
%doc CHANGELOG.md LICENSE README.rst TODO.rst
%{_bindir}/pwiz.py
%{python_sitelib}/peewee.py
%{python_sitelib}/peewee.pyc
%{python_sitelib}/peewee-%{version}-py%{py_ver}.egg-info
%{python_sitelib}/playhouse
%{python_sitelib}/pwiz.py
%{python_sitelib}/pwiz.pyc

%changelog
* Fri Aug 14 2015 i@marguerite.su
- update version 2.6.3
  * read https://github.com/coleifer/peewee/releases
* Mon Apr 28 2014 i@marguerite.su
- update version 2.2.3
  * New migrations module
  * Added a return value to Model.save() indicating number of rows
    affected.
  * Added a date_trunc() method that works for Sqlite.
  * Added a Model.sqlall() class-method to return all the SQL to
    generate the model/indices.
  * bugfixes
* Sun Apr 20 2014 i@marguerite.su
- initial version 2.2.2
  * see https://github.com/coleifer/peewee/commits/master for details
